org.glassfish.jersey.server.wadl.config

## Class WadlGeneratorConfigLoader

- java.lang.Object
- - org.glassfish.jersey.server.wadl.config.WadlGeneratorConfigLoader

    public class WadlGeneratorConfigLoader
    extends Object

Loads a `WadlGeneratorConfig` and provides access to the `WadlGenerator` provided by the loaded `WadlGeneratorConfig`.
If no `WadlGeneratorConfig` is provided, the default `WadlGenerator` will be loaded.

Author:
  Martin Grotzke (martin.grotzke at freiheit.com)

### Constructor Summary

Constructors
Constructor and Description
`WadlGeneratorConfigLoader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static WadlGeneratorConfig` `loadWadlGeneratorsFromConfig(Map<String,Object> properties)` Load the `WadlGeneratorConfig` from the provided `ResourceConfig` using the property `ServerProperties.WADL_GENERATOR_CONFIG`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WadlGeneratorConfigLoader

    public WadlGeneratorConfigLoader()

### Method Detail

#### loadWadlGeneratorsFromConfig

    public static WadlGeneratorConfig loadWadlGeneratorsFromConfig(Map<String,Object> properties)

Load the `WadlGeneratorConfig` from the provided `ResourceConfig` using the property `ServerProperties.WADL_GENERATOR_CONFIG`.

The type of this property must be a subclass or an instance of a subclass of `WadlGeneratorConfig`.
If it's not set, the default `WadlGeneratorJAXBGrammarGenerator` will be used.

Parameters:
  `properties` - configuration properties of deployed Jersey application.
Returns:
  a configure `WadlGeneratorConfig`.